com.hazelcast.org.snakeyaml.engine.v1.api.lowlevel

## Class Parse

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.api.lowlevel.Parse

-     public class Parse
      extends Object

  Read the input stream and parse the content into events (opposite for Present or Emit)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parse(LoadSettings settings)` Create instance with provided `LoadSettings`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Event>` | `parseInputStream(InputStream yaml)` Parse a YAML stream and produce parsing events.
    `Iterable<Event>` | `parseReader(Reader yaml)` Parse a YAML stream and produce parsing events.
    `Iterable<Event>` | `parseString(String yaml)` Parse a YAML stream and produce parsing events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parse

          public Parse(LoadSettings settings)

      Create instance with provided `LoadSettings`
      Parameters:
        `settings` - - configuration

  - ### Method Detail

    - #### parseInputStream

          public Iterable<Event> parseInputStream(InputStream yaml)

      Parse a YAML stream and produce parsing events.
      Parameters:
        `yaml` - - YAML document(s). Default encoding is UTF-8. The BOM must be present if the encoding is UTF-16 or UTF-32
      Returns:
        parsed events
      See Also:
        Processing Overview

    - #### parseReader

          public Iterable<Event> parseReader(Reader yaml)

      Parse a YAML stream and produce parsing events. Since the encoding is already known the BOM must not be present (it will be parsed as content)
      Parameters:
        `yaml` - - YAML document(s).
      Returns:
        parsed events
      See Also:
        Processing Overview

    - #### parseString

          public Iterable<Event> parseString(String yaml)

      Parse a YAML stream and produce parsing events.
      Parameters:
        `yaml` - - YAML document(s). The BOM must not be present (it will be parsed as content)
      Returns:
        parsed events
      See Also:
        Processing Overview

Copyright © 2020. All rights reserved.